Subject: Re: bug#21209: /gnu/store should be able to be a symlink, but it can't

From: Kragen Javier Sitaker <[email-masked]>
Date: Sat, 8 Aug 2015 15:48:18 +0000

On Sat, Aug 08, 2015 at 11:31:19AM +0200, Pjotr Prins wrote:
> it is by design that you can't symlink.

If that is true (and it seems like a rather strange design; why would somebody
want that?) I think that the error message should explain that rather than
simply complaining that /gnu/store is "not a directory".

> On Sat, Aug 08, 2015 at 06:51:17AM +0200, Claes Wallin wrote:
> >    On 07-Aug-2015 11:22 pm, "Kragen Javier Sitaker" <[1][email-masked]>
> >    wrote:
> >    > I’m working around that by directly mounting the /gnustore partition
> >    > under /gnu/store now.
> > 
> >    You don't need to make a new file system and a loop mount. You could just
> >    make a bind mount.

Indeed, but I had already made the new filesystem, for other reasons.